Package org.gradle.process

# Class ProcessExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.process.internal.ExecException
org.gradle.process.ProcessExecutionException

All Implemented Interfaces:
  `Serializable`

@NullMarked public class ProcessExecutionException extends org.gradle.process.internal.ExecException
An exception thrown when an error occurs while executing a process.

Since:
  9.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessExecutionException(String message)`
  Creates a new instance of `ExecException` with the specified message.
  `ProcessExecutionException(String message, Throwable cause)`
  Creates a new instance of `ExecException` with the specified message and cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessExecutionException

    public ProcessExecutionException(String message)
    Creates a new instance of `ExecException` with the specified message.
    Since:
      9.0.0

  - ### ProcessExecutionException

    public ProcessExecutionException(String message, Throwable cause)
    Creates a new instance of `ExecException` with the specified message and cause.
    Since:
      9.0.0